<?php

Yii::import('application.modules.core_models.models._base.BaseModel');

/**
 * This is the model base class for the table "shipping_log".
 * DO NOT MODIFY THIS FILE! It is automatically generated by giix.
 * If any changes are necessary, you must set or override the required
 * property or method in class "ShippingLog".
 *
 * Columns in table "shipping_log" available as properties of the model,
 * and there are no model relations.
 *
 * @property string $id
 * @property string $easypost_id
 * @property string $tracking_number
 * @property string $payload
 * @property string $date_added
 * @property string $date_delivered
 *
 */
abstract class BaseShippingLog extends BaseModel
{

    public static function model($className = __CLASS__)
    {
        return parent::model($className);
    }

    public function tableName()
    {
        return 'shipping_log';
    }

    public static function label($n = 1)
    {
        return Yii::t('app', 'ShippingLog|ShippingLogs', $n);
    }

    public static function representingColumn()
    {
        return 'easypost_id';
    }

    public function rules()
    {
        return array(
            array('easypost_id, payload, date_added', 'required'),
            array('account_device_id, admin_account_id', 'length', 'max' => 11),
            array('easypost_id, tracking_number', 'length', 'max' => 64),
            array('date_delivered', 'safe'),
            array('account_device_id, admin_account_id, tracking_number, date_delivered', 'default', 'setOnEmpty' => true, 'value' => null),
            array('id, account_device_id, admin_account_id, easypost_id, tracking_number, payload, date_added, date_delivered', 'safe', 'on' => 'search'),
        );
    }

    public function relations()
    {
        return array(
        );
    }

    public function pivotModels()
    {
        return array(
        );
    }

    public function attributeLabels()
    {
        return array(
            'id' => Yii::t('app', 'ID'),
            'account_device_id' => Yii::t('app', 'Account Device'),
            'admin_account_id' => Yii::t('app', 'Admin Account'),
            'easypost_id' => Yii::t('app', 'Easypost'),
            'tracking_number' => Yii::t('app', 'Tracking Number'),
            'payload' => Yii::t('app', 'Payload'),
            'date_added' => Yii::t('app', 'Date Added'),
            'date_delivered' => Yii::t('app', 'Date Delivered'),
        );
    }

    public function search()
    {
        $criteria = new CDbCriteria;

        $criteria->compare('id', $this->id, true);
        $criteria->compare('account_device_id', $this->account_device_id, true);
        $criteria->compare('admin_account_id', $this->admin_account_id, true);
        $criteria->compare('easypost_id', $this->easypost_id, true);
        $criteria->compare('tracking_number', $this->tracking_number, true);
        $criteria->compare('payload', $this->payload, true);
        $criteria->compare('date_added', $this->date_added, true);
        $criteria->compare('date_delivered', $this->date_delivered, true);

        return new CActiveDataProvider(get_class($this), array('criteria' => $criteria, 'pagination' => array('pageSize' => 100)));
    }

}
